#!/bin/sh
mypath=${0%/*}
showRadio "Настройка подсветки" ""  "Подсветка" "Время подсветки" "Восстановить настройки по умолчанию" "Выйти"
case $? in
0)
exec $mypath/load.sh
exit 0
;;
1)
$mypath/setlcd 0
showNotify "Успешно" "Подсветка была изменена" 1
;;
2)rm /tmp/lcdtime.txt
showTextEntry "/tmp/lcdtime.txt" "Введите время" "Единица измерения: секунды"
[ $? -eq 0 ] && exec $mypath/lcdtime.sh
t=`cat /tmp/lcdtime.txt`
s=$((t-20))
$mypath/setlcd $s
showNotify "Успешно" "Время подсветки установлена в $t сек" 1
;;
3)
$mypath/setlcd 10
showNotify "Успешно" "Настройки по умолчанию загружены" 1
;;
4)
exit 0
;;
*)
exit 0
;;
esac